%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-underscore-dot-logger
Version:    0.3.1
Release:    15%{?dist}
Summary:    Cross-browser and Node.js empowered logging
# License text is included in README.md
License:    MIT
URL:        https://npmjs.org/package/underscore.logger
Source0:    http://registry.npmjs.org/underscore.logger/-/underscore.logger-%{version}.tgz

# package.json is missing devDependencies section.
# Pull request sent: https://github.com/viatropos/underscore.logger/pull/3
Patch0:     %{name}-0.3.1-Add-devDependencies.patch
# Recent versions of coffee-script enforce strict JS compliance.
# Pull request sent: https://github.com/viatropos/underscore.logger/pull/4
Patch1:     %{name}-0.3.1-strict-JS-compliance.patch
Patch2:     %{name}-0.3.1-strict-JS-compliance-part-2.patch
# The author uses the "--watch" option in Cakefile, which obviously hangs the
# build.
Patch3:     %{name}-0.3.1-Do-not-watch.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  coffee-script

%if 0%{?enable_tests}
BuildRequires:  npm(jasmine-node)
BuildRequires:  npm(underscore)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Compile from .coffee source instead.
rm -rf lib/*.js


%build
%nodejs_symlink_deps --check
/usr/bin/cake coffee


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/underscore.logger
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/underscore.logger

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
/usr/bin/cake spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/underscore.logger


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.1-5
- fix rm -rf command in %%prep

* Fri Jul 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.1-4
- fix patch for JS compliance
- fix BR

* Fri Jul 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.1-3
- rename to nodejs-underscore-dot-logger
- add patch for missing devDependencies
- add patch for newer coffee-script version JS compliance requirements
- add patch for building using the Cakefile

* Sun Feb 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.1-2
- add coffee-script to BuildRequires

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.1-1
- initial package
